import { newSpecPage } from "@stencil/core/testing";
import { OpenPopupNotification } from "../open-popup-notification";
describe('open-popup-notification', () => {
    it('renders', async () => {
        const page = await newSpecPage({
            components: [OpenPopupNotification],
            html: `<open-popup-notification></open-popup-notification>`,
        });
        expect(page.root).toEqualHtml(`
      <open-popup-notification>
        <mock:shadow-root>
          <slot></slot>
        </mock:shadow-root>
      </open-popup-notification>
    `);
    });
});
//# sourceMappingURL=open-popup-notification.spec.js.map
