import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const trimStr = (str, length) => {
    return str.length > length ? str.substring(0, length) + '...' : str;
};

const trimStringCss = ".sc-trim-string-h{display:block}";
const TrimStringStyle0 = trimStringCss;

const TrimString$1 = /*@__PURE__*/ proxyCustomElement(class TrimString extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.string = undefined;
        this.length = undefined;
    }
    render() {
        return h("div", { key: '043a3f4eaf382c40242b2817fe2191740a5d3c2b' }, trimStr(this.string, this.length));
    }
    static get style() { return TrimStringStyle0; }
}, [2, "trim-string", {
        "string": [1],
        "length": [2]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["trim-string"];
    components.forEach(tagName => { switch (tagName) {
        case "trim-string":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TrimString$1);
            }
            break;
    } });
}

const TrimString = TrimString$1;
const defineCustomElement = defineCustomElement$1;

export { TrimString, defineCustomElement };

//# sourceMappingURL=trim-string.js.map