import { r as registerInstance, h } from './index-cabf4ff3.js';

const trimStr = (str, length) => {
    return str.length > length ? str.substring(0, length) + '...' : str;
};

const trimStringCss = ".sc-trim-string-h{display:block}";
const TrimStringStyle0 = trimStringCss;

const TrimString = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.string = undefined;
        this.length = undefined;
    }
    render() {
        return h("div", { key: '043a3f4eaf382c40242b2817fe2191740a5d3c2b' }, trimStr(this.string, this.length));
    }
};
TrimString.style = TrimStringStyle0;

export { TrimString as trim_string };

//# sourceMappingURL=trim-string.entry.js.map